version: '3'

services:
  os:
    build:
      context: .
      dockerfile: Dockerfile
    container_name: docker_was_upgrade
    ports:
      - "2116:22"  # SSH
      - "8088:8080"  # tomcat
      - "4444:443" # ssl
    network_mode: bridge
    restart: always
    volumes:
      - wasconfig_upgrade:/usr/local/tomcat/conf
      - wardata_upgrade:/data #default tomcat 경로 사용시
volumes:
    wasconfig_upgrade:
      external: true
    wardata_upgrade:
      external: true
